Python web app to publish documentation compiled using Sphinx

# Installation

``` shell
cd sphinx-web
python3 -m venv venv
source venv/bin/activate # on Windows execute instead: venv\Scripts\activate.bat
pip install -U pip setuptools wheel
pip install -r requirements.txt
```

# Executing in a producton environment

``` shell
cd sphinx-web
source venv/bin/activate
pip install waitress
```

Create your configuration file, for example `/etc/sphinx-web/config.py`:

```
ADMIN_PASSWORD = 'specify a strong password here'
BEHIND_REVERSE_PROXY = False # Set to True if you use a reverse proxy such as nginx
```

Start the application:

``` shell
cd sphinx-web/src
source ../venv/bin/activate
CONFIG_PATH=/etc/sphinx-web/config.py waitress-serve --port 8080 --call "app:create_app"
```

# Development

## Update dependencies

After activating the virtual environment, run this command to update the list of dependencies with what is currently installed:

``` shell
pip freeze > requirements.txt
```
